Subject: bug#29778: grep seems to ignore GREP_OPTIONS

From: Paul Eggert <[email-masked]>
Date: Tue, 19 Dec 2017 21:54:03 -0800

On 12/19/2017 06:29 PM, Dennis wrote:
> For a long time I have used GREP_OPTIONS to set the
> --ignore-case option. Suddenly it seems to be ignoring it.

That's odd, since (though GREP_OPTIONS is obsolescent) it should work, 
with a warning. From the NEWS file:

>   The GREP_OPTIONS environment variable is now obsolescent, and grep
>   now warns if it is used.  Please use an alias or script instead.
Please send us the grep version number, how you built and installed 
grep, and give a test case showing how to reproduce the problem. In the 
long run I suggest that you also look into solving your problem without 
using GREP_OPTIONS.